commit:     60a12f04753f3f5478b8769ba7c35482b86bec65
Author:     Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Thu Mar 18 22:40:27 2021 +0000
Commit:     Maciej Barć <xgqt <AT> protonmail <DOT> com>
CommitDate: Thu Mar 18 22:40:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=60a12f04

dev-scheme/guile-gi: new pkg; add 0.3.1 and live

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>

 dev-scheme/guile-gi/Manifest              |  1 +
 dev-scheme/guile-gi/guile-gi-0.3.1.ebuild | 52 +++++++++++++++++++++++++++++++
 dev-scheme/guile-gi/guile-gi-9999.ebuild  | 52 +++++++++++++++++++++++++++++++
 dev-scheme/guile-gi/metadata.xml          | 24 ++++++++++++++
 4 files changed, 129 insertions(+)

diff --git a/dev-scheme/guile-gi/Manifest b/dev-scheme/guile-gi/Manifest
new file mode 100644
index 00000000..073a4bf2
--- /dev/null
+++ b/dev-scheme/guile-gi/Manifest
@@ -0,0 +1 @@
+DIST guile-gi-0.3.1.tar.gz 345440 BLAKE2B 
17c4ecda48951244d427098767072621278750614919f13d1b03b7ecda5f06b2274c7db50c4288b4bfe581cd852e80cd1d4137b5ccc0e18d0e23866e1eba323a
 SHA512 
b866df95946069cad606bc8f7e7c988665029482bcb986109d652728023151a5e60ee39e86635b9f0b9f0d4d3a9cd72f39b65ee983438f71dff186994e3af197

diff --git a/dev-scheme/guile-gi/guile-gi-0.3.1.ebuild 
b/dev-scheme/guile-gi/guile-gi-0.3.1.ebuild
new file mode 100644
index 00000000..5b3da487
--- /dev/null
+++ b/dev-scheme/guile-gi/guile-gi-0.3.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Bindings for GObject Introspection and libgirepository for Guile"
+HOMEPAGE="https://github.com/spk121/guile-gi";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/spk121/${PN}.git";
+else
+       SRC_URI="https://github.com/spk121/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+# Tests fail
+RESTRICT="strip test"
+LICENSE="GPL-3"
+SLOT="0"
+
+BDEPEND="
+       sys-apps/texinfo
+"
+DEPEND="
+       >=dev-scheme/guile-2.0.9
+       dev-libs/gobject-introspection
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       find "${S}" -name "*.scm" -exec touch {} + || die
+}
+
+src_configure() {
+       sh ./bootstrap || die
+
+       local myconf=(
+               --enable-introspection="yes"
+               --enable-hardening
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       mv "${D}/usr/share/doc/${PN}"/* "${D}/usr/share/doc/${PF}" || die
+       rm -r "${D}/usr/share/doc/${PN}" || die
+}

diff --git a/dev-scheme/guile-gi/guile-gi-9999.ebuild 
b/dev-scheme/guile-gi/guile-gi-9999.ebuild
new file mode 100644
index 00000000..5b3da487
--- /dev/null
+++ b/dev-scheme/guile-gi/guile-gi-9999.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Bindings for GObject Introspection and libgirepository for Guile"
+HOMEPAGE="https://github.com/spk121/guile-gi";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/spk121/${PN}.git";
+else
+       SRC_URI="https://github.com/spk121/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+# Tests fail
+RESTRICT="strip test"
+LICENSE="GPL-3"
+SLOT="0"
+
+BDEPEND="
+       sys-apps/texinfo
+"
+DEPEND="
+       >=dev-scheme/guile-2.0.9
+       dev-libs/gobject-introspection
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+
+       find "${S}" -name "*.scm" -exec touch {} + || die
+}
+
+src_configure() {
+       sh ./bootstrap || die
+
+       local myconf=(
+               --enable-introspection="yes"
+               --enable-hardening
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       mv "${D}/usr/share/doc/${PN}"/* "${D}/usr/share/doc/${PF}" || die
+       rm -r "${D}/usr/share/doc/${PN}" || die
+}

diff --git a/dev-scheme/guile-gi/metadata.xml b/dev-scheme/guile-gi/metadata.xml
new file mode 100644
index 00000000..04839c41
--- /dev/null
+++ b/dev-scheme/guile-gi/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+    <maintainer type="person">
+        <email>x...@riseup.net</email>
+        <name>Maciej Barć</name>
+    </maintainer>
+    <longdescription lang="en">
+        This is a library for GNU Guile to create language bindings
+        via GObject Introspection.
+        This is beta code. It is only partially documented. The API is
+        stabilizing, but may still be subject to change.
+        Guile GI has two primary components:
+        - The gi scheme modules: guile modules that provide functionality
+        to dynamically generate Scheme API from GObject typelib files.
+        - libguile-gi.so or libguile-gi.dll: a compiled module that contains
+        glue code to interface with GObject.
+        To create bindings, use the use-typelibs syntax found in
+        the (gi) library.
+    </longdescription>
+    <upstream>
+        <remote-id type="github">spk121/guile-gi</remote-id>
+    </upstream>
+</pkgmetadata>

Reply via email to